Bug 232946 - games/minecraft-server: Update to 1.13.2
Summary: games/minecraft-server: Update to 1.13.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-11-03 21:08 UTC by Alexandre Labarre
Modified: 2019-01-06 02:27 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
This patch updates games/minecraft-server to 1.13.2 (1.19 KB, patch)
2018-11-03 21:08 UTC, Alexandre Labarre
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandre Labarre 2018-11-03 21:08:23 UTC
Created attachment 198923 [details]
This patch updates games/minecraft-server to 1.13.2

This patch updates games/minecraft-server from version 1.13 to 1.13.2

The only changes are the version number, the master site URL and the distinfo.
Comment 1 Jonathan Price 2018-11-04 00:41:09 UTC
Thank you for providing the patch.

From testing it appears that fresh installs using the patch work as expected and upgrades to existing installations when using the daemon option produces the following:

===>   Registering installation for minecraft-server-1.13.2
*** Error code 70

Stop.
make[2]: stopped in /usr/home/pricej/minecraft-server
*** Error code 1

Stop.
make[2]: stopped in /usr/home/pricej/minecraft-server
*** Error code 1

Stop.
make: stopped in /usr/home/pricej/minecraft-server

However, this appears to be a pre-existing issue and not one introduced by the patch. It is something that should probably be reviewed separately.

I have marked the patch as maintainer feedback approved.
Comment 2 Alexandre Labarre 2018-12-06 14:44:50 UTC
Hi Jonathan,

I did some tests here and everything worked fine.
I installed from ports the old version 1.12.2, then I upgraded to 1.13 (from ports). finally I upgraded to 1.13.2 (from ports) without issue.
I used the daemon version like you.
Comment 3 commit-hook freebsd_committer 2019-01-05 21:56:34 UTC
A commit references this bug:

Author: swills
Date: Sat Jan  5 21:56:06 UTC 2019
New revision: 489389
URL: https://svnweb.freebsd.org/changeset/ports/489389

Log:
  games/minecraft-server: Update to 1.13.2

  PR:		232946
  Submitted by:	Alexandre <alexandre.labarre@gmail.com>
  Approved by:	Jonathan Price <freebsd@jonathanprice.org> (maintainer)

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/distinfo
Comment 4 Steve Wills freebsd_committer 2019-01-05 21:57:10 UTC
Committed, thanks!